SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000306: interface editor: networks will not be checked - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000306Endian FirewallNetwork related (VPN, uplinks)public2007-11-09 18:122007-12-31 19:11
Reporterpeter-endian 
Assigned Tosimon-endian 
PriorityimmediateSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-beta1 
Target VersionFixed in Version2.2-beta2 
Summary0000306: interface editor: networks will not be checked
Descriptionit is currently possible to configure networks as red networks which actually are green/blue/orange or within them or overlap with them.

it's currently possible to use the network address or the broadcast address as red address.

if a default gateway can be set, currently in order to have the uplink working it must be within one of the RED networks, but it is actually possible to configure a random default gateway which is outside the red networks or one of the ip addresses, network addresses or broadcast addresses of red itself.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000649)
Anonymous (viewer)
2007-11-22 15:42

implemented check like done in networkwizard

- Issue History
Date Modified Username Field Change
2007-11-09 18:12 peter-endian New Issue
2007-11-09 18:12 peter-endian Status new => assigned
2007-11-09 18:12 peter-endian Assigned To => peter-endian
2007-11-09 18:12 peter-endian Assigned To peter-endian => simon-endian
2007-11-20 15:00 peter-endian Priority normal => immediate
2007-11-22 15:42 Anonymous Status assigned => closed
2007-11-22 15:42 Anonymous Note Added: 0000649
2007-11-22 15:42 Anonymous Resolution open => fixed
2007-11-22 15:52 simon-endian Status closed => resolved
2007-11-22 15:52 simon-endian Fixed in Version => 2.2
2007-12-31 15:05 raphael-endian Fixed in Version 2.2-beta1 => 2.2-beta2
2007-12-31 19:11 raphael-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker